# DiagnosticReport read

`GET /DiagnosticReport/{id}`

This resource contains clinical context for diagnostic tests (e.g., lab tests, pathology, imaging) performed on a patient or group of patients. Diagnostic reports may contain discrete results, images, or codes. 

You can review, retrieve, create, or update diagnostic reports. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### read

Review a specific `DiagnosticReport` resource with details about a diagnostic test completed for a patient or group of patients.

> **FHIR read**
>
> To use a `read` interaction, you must know the related resource ID, which you may not have in your real workflows. A `read` is likely only a follow-up option after receiving the specific resource in a recent FHIR passthrough or data on demand exchange.
>
> Typically, you should use the more flexible `_search` with query parameters, unless you’re guaranteed to request data directly from a FHIR server using the resource ID. [Learn more about using FHIR identifiers](https://docs.redoxengine.com/permalink/3D5vEc8GfbxZ0SLhMbLfuQ).

## Request parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | Yes | DiagnosticReport identifier |

## Request example

```bash
curl 'https://api.redoxengine.com/fhir/R4/{destinationSlug}/{environmentFlag}/DiagnosticReport/{id}' \
--request GET \
--header 'Authorization: Bearer $API_TOKEN'
```

## Responses

### 200

The DiagnosticReport

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: DiagnosticReport |
| `status` | string | Yes | The status of the diagnostic report. Possible values: registered, partial, preliminary, final, amended, corrected, appended, cancelled, entered-in-error, unknown |
| `category` | Array of LaboratorySlice or Other | Yes | A code that classifies the clinical discipline, department or diagnostic service that created the report (e.g. cardiology, biochemistry, hematology, MRI). This is used for searching, sorting and display purposes. |
| `category[] (LaboratorySlice).coding` | Array of object | Yes |  |
| `category[] (LaboratorySlice).coding[].system` | string | Yes | Value: http://terminology.hl7.org/CodeSystem/v2-0074 |
| `category[] (LaboratorySlice).coding[].code` | string | Yes | Value: LAB |
| `category[] (Other).id` | string | No | A sequence of Unicode characters |
| `category[] (Other).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `category[] (Other).coding[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[].extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[].extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[].extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[].extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].system` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._system` | object | No | Extensions for system |
| `category[] (Other).coding[]._system.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._system.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._system.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._system.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._system.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].version` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._version` | object | No | Extensions for version |
| `category[] (Other).coding[]._version.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._version.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._version.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._version.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._version.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].code` | string | No | A string which has at least one character and no leading or trailing whitespace and where there is no whitespace other than single spaces in the contents |
| `category[] (Other).coding[]._code` | object | No | Extensions for code |
| `category[] (Other).coding[]._code.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._code.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._code.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._code.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._code.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].display` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._display` | object | No | Extensions for display |
| `category[] (Other).coding[]._display.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._display.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._display.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._display.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._display.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).coding[].userSelected` | boolean | No | Value of "true" or "false" |
| `category[] (Other).coding[]._userSelected` | object | No | Extensions for userSelected |
| `category[] (Other).coding[]._userSelected.id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._userSelected.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other).coding[]._userSelected.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other).coding[]._userSelected.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other).coding[]._userSelected.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `category[] (Other).text` | string | No | A sequence of Unicode characters |
| `category[] (Other)._text` | object | No | Extensions for text |
| `category[] (Other)._text.id` | string | No | A sequence of Unicode characters |
| `category[] (Other)._text.extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `category[] (Other)._text.extension[].id` | string | No | A sequence of Unicode characters |
| `category[] (Other)._text.extension[].url` | string | No | String of characters used to identify a name or a resource |
| `category[] (Other)._text.extension[].valueBase64Binary` | string | No | Value of extension - must be one of a constrained set of the data types ([see Extensibility for a list](https://hl7.org/fhir/R4/extensibility.html)). |
| `code` | object | Yes | The test, panel or battery that was ordered. |
| `code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `subject` | object | Yes | The subject of the report. Usually, but not always, this is a patient. However, diagnostic services also perform analyses on specimens collected from a variety of other sources. Must be a resource of type `Patient`. |
| `subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `identifier` | Array of object | No | Identifiers assigned to this report by the performer or other systems. |
| `identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) which this DiagnosticReport is about. Must be a resource of type `Encounter`. |
| `encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `issued` | string | No | The date and time that this version of the report was made available to providers, typically after the report was reviewed and verified. |
| `performer` | Array of object | No | The diagnostic service that is responsible for issuing the report. Must reference one of the following types of resources: - `Practitioner` - `Organization` |
| `performer[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `specimen` | Array of object | No | Details about the specimens on which this diagnostic report is based. Must be a resource of type `Specimen`. |
| `specimen[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `result` | Array of object | No | [Observations](http://hl7.org/fhir/R4/observation.html)  that are part of this diagnostic report. Must be a resource of type `Observation`. |
| `result[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `presentedForm` | Array of object | No | Rich text representation of the entire result as issued by the diagnostic service. Multiple formats are allowed but they SHALL be semantically equivalent. |
| `presentedForm[].contentType` | string | No | Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate. |
| `presentedForm[].data` | string | No | The actual data of the attachment - a sequence of bytes, base64 encoded. |
| `effectiveDateTime` | string | No | The time or time-period the observed values are related to. When the subject of the report is a patient, this is usually either the time of the procedure or of specimen collection(s), but very often the source of the date/time is not known, only the date/time itself. |

```json
{
  "resourceType": "DiagnosticReport",
  "id": "RedoxDiagnosticReportExampleCBC",
  "category": [
    {
      "coding": [
        {
          "system": "http://terminology.hl7.org/CodeSystem/v2-0074",
          "code": "LAB"
        }
      ]
    }
  ],
  "identifier": [
    {
      "system": "urn:oid:1.2.840.114350.1.13.12345.1.7.2.696871",
      "value": "7923457256"
    }
  ],
  "subject": {
    "reference": "Patient/RedoxPatientExampleTimothy"
  },
  "effectiveDateTime": "2022-02-14T19:20:02.762Z",
  "issued": "2022-02-15T19:22:41.919Z",
  "status": "final",
  "specimen": [
    {
      "reference": "Specimen/RedoxSpecimenExample"
    }
  ],
  "code": {
    "coding": [
      {
        "code": "43789009",
        "system": "http://snomed.info/sct"
      }
    ],
    "text": "CBC WO DIFFERENTIAL"
  },
  "performer": [
    {
      "reference": "Practitioner/fc5ed2f0-a7a8-4bc6-bcc1-8f72db850a5c"
    }
  ],
  "result": [
    {
      "reference": "Observation/RedoxHGBObservationExample"
    },
    {
      "reference": "Observation/RedoxWBCObservationExample"
    },
    {
      "reference": "Observation/RedoxPlateletObservationExample"
    }
  ],
  "presentedForm": [
    {
      "contentType": "application/pdf",
      "url": "https://blob.redoxengine.com/123456789",
      "title": "SamplePDF-Diagnostic Report 1"
    },
    {
      "contentType": "application/pdf",
      "data": "PC4uLmJhc2UgNjQgZmlsZSBjb250ZW50cy4uLj4=",
      "title": "SamplePDF-Diagnostic Report 2"
    }
  ]
}
```

### 400

Request could not be processed or failed validation

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: OperationOutcome |
| `issue` | Array of object | Yes | A structured respresentation of the error that occurred |
| `issue[].severity` | string | Yes | Generally `error` or `fatal` Possible values: fatal, error, warning, information |
| `issue[].code` | string | Yes | A FHIR category code that describes the general type of issue. See http://hl7.org/fhir/ValueSet/issue-type for details |
| `issue[].id` | string | No | If the error occurs in the RedoxEngine, this corresponds to an Error record in the organization. |
| `issue[].details` | object | No | Additional details about the error. This may be a text description of the error or a system code that identifies the error. |
| `issue[].details.coding` | Array of object | No | A more granular FHIR code for the specific error. Typically from http://hl7.org/fhir/ValueSet/operation-outcome |
| `issue[].details.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `issue[].details.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `issue[].details.text` | string | No | A human-readable interpretation of the issue code |
| `issue[].diagnostics` | string | No | Additional diagnostic information about the issue. |

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "invalid",
      "details": {
        "coding": [
          {
            "code": "MSG_BAD_SYNTAX",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid content found in request body."
      }
    }
  ]
}
```

### 401

Authorization is required

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "unknown",
      "details": {
        "coding": [
          {
            "code": "MSG_AUTH_REQUIRED",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Invalid authorization token"
      }
    }
  ]
}
```

### 404

Not found or not supported

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "not-found",
      "details": {
        "coding": [
          {
            "code": "MSG_NO_MODULE",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "my-sandbox is not a recognized FHIR organization"
      }
    }
  ]
}
```

### 500

Internal server error

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "processing",
      "details": {
        "coding": [
          {
            "code": "MSG_RESOURCE_ID_FAIL",
            "system": "http://terminology.hl7.org/CodeSystem/operation-outcome"
          }
        ],
        "text": "Unable to allocate resource id."
      }
    }
  ]
}
```

### 503

Service unavailable

Same fields as 400.

```json
{
  "resourceType": "OperationOutcome",
  "issue": [
    {
      "severity": "fatal",
      "code": "transient",
      "details": {
        "text": "System is unable to process this message at this time."
      }
    }
  ]
}
```
